"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Components:
const React = require("react");
const classnames_1 = require("classnames");
const react_video_cover_1 = require("react-video-cover");
const getClassNames_1 = require("../../utils/getClassNames");
exports.Box = React.memo(props => {
    const { children, className, divProps, image, style, type, video } = props;
    const Tag = type;
    //background image
    const backgroundImage = image ? `url(${image})` : 'none';
    // ============================================
    const renderVideo = () => video && (React.createElement(react_video_cover_1.default, { className: "Box-video absolute", videoOptions: {
            src: video,
            autoPlay: true,
            loop: true,
            muted: true // needed for chrome
        } }));
    return (React.createElement(Tag, Object.assign({ className: classnames_1.default(getClassNames_1.getClassNames(props), className && className), style: Object.assign({}, style, { backgroundImage }) }, divProps),
        renderVideo(),
        " ",
        children));
});
exports.Box.defaultProps = {
    display: 'flex',
    position: 'relative',
    type: 'div',
    w: 'full'
};
