"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Components:
const React = require("react");
const classnames_1 = require("classnames");
exports.Triangle = React.memo(({ className, direction, color, size, style }) => {
    const triangleStyles = {};
    switch (direction) {
        case 'up':
            triangleStyles.borderBottomColor = color;
            triangleStyles.borderBottomWidth = size;
            triangleStyles.borderRightWidth = size;
            triangleStyles.borderLeftWidth = size;
            break;
        case 'right':
            triangleStyles.borderLeftColor = color;
            triangleStyles.borderLeftWidth = size;
            triangleStyles.borderTopWidth = size;
            triangleStyles.borderBottomWidth = size;
            break;
        case 'down':
            triangleStyles.borderTopColor = color;
            triangleStyles.borderTopWidth = size;
            triangleStyles.borderRightWidth = size;
            triangleStyles.borderLeftWidth = size;
            break;
        case 'left':
            triangleStyles.borderRightColor = color;
            triangleStyles.borderRightWidth = size;
            triangleStyles.borderTopWidth = size;
            triangleStyles.borderBottomWidth = size;
            break;
    }
    return (React.createElement("div", { className: classnames_1.default('Triangle block w-0 h-0 border-solid', className && className, triangleStyles), style: Object.assign({}, triangleStyles, style) }));
});
exports.Triangle.defaultProps = {
    direction: 'up',
    size: '0.5rem',
    color: 'grey'
};
